import { jsx } from "react/jsx-runtime";
import { ClockUser as ClockUser$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ClockUser = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ClockUser", ...props, children: /* @__PURE__ */ jsx(ClockUser$1, { weight: variant }) });
  }
);
ClockUser.displayName = "ClockUser";
Object.assign(ClockUser, { isGdsIcon: true });
export {
  ClockUser
};
